\draw (24,50) node [align=left] {$\displaystyle C_1$};

%1 карта
\linetableone  {0}{0}{0}{0}
\linetabletwo  { }{ }{ }{ }
\linetablethree{ }{ }{0}{ }
\linetablefour {0}{0}{ }{0}

%2 карта
\linetablefive  {0}{0}{ }{ }
\linetablesix   { }{ }{0}{0}
\linetableseven { }{0}{0}{0}
\linetableeight {0}{ }{ }{ }

%3 карта
\linetablenine  { }{ }{ }{ }
\linetableten   {0}{0}{0}{0}
\linetableeleven{0}{0}{0}{0}
\linetabletwelve{ }{ }{0}{ }

%4 карта
\linetablethirteen{ }{ }{0}{0}
\linetablefourteen{0}{0}{0}{0}
\linetablefifteen {0}{0}{ }{0}
\linetablesixteen { }{0}{0}{0}

\draw (366,155) node [align=left] {$\displaystyle C_{1} =\begin{Bmatrix}
    00100x \\
    0x000x \\
    0000xx \\
    00x0x0 \\
    0xx000 \\
    0x1111 \\
    01x11x \\
    0111x1 \\
    1x01xx \\
    1xx10x \\
    1xx1x0 \\
    101x11 \\
    11x01x \\
    1110x1 
    \end{Bmatrix}$ \\
    $S_a^{C_1} = 58,S_b^{c_1} = 72$
};

\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (84,53.67) -- (84,76.77) -- (115.75,76.77) -- (115.75,52.42) -- (214.25,52.42) -- (214.25,77.34) -- (246.25,77.34) -- (246.25,54.05) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (82.75,63) -- (157.25,63) -- (157.25,77.25) -- (82.75,77.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (165.5,124) -- (143.74,124) -- (143.74,146.92) -- (96.75,146.92) -- (96.75,123.75) -- (73.7,123.75) -- (73.7,76.12) -- (96.84,76.12) -- (96.84,55.54) -- (144.86,55.54) -- (144.86,76.35) -- (165.31,76.35) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }  ,draw opacity=1 ]   (226.5,55) -- (226.5,77.25) -- (204.4,77.25) -- (204.4,124.8) -- (227.8,124.8) -- (227.8,144.53) -- (95.72,144.53) -- (95.75,122.75) -- (70.68,122.75) -- (70.68,74.64) -- (95.79,74.64) -- (95.79,51.75) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }  ,draw opacity=1 ] (252.75,110.13) .. controls (252.75,105.91) and (256.16,102.5) .. (260.38,102.5) .. controls (264.59,102.5) and (268,105.91) .. (268,110.13) .. controls (268,114.34) and (264.59,117.75) .. (260.38,117.75) .. controls (256.16,117.75) and (252.75,114.34) .. (252.75,110.13) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }  ,draw opacity=1 ] (122.75,110.13) .. controls (122.75,105.91) and (126.16,102.5) .. (130.38,102.5) .. controls (134.59,102.5) and (138,105.91) .. (138,110.13) .. controls (138,114.34) and (134.59,117.75) .. (130.38,117.75) .. controls (126.16,117.75) and (122.75,114.34) .. (122.75,110.13) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }  ,draw opacity=1 ]   (133,103.13) -- (257.75,103.12) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (253.25,82.5) -- (287.75,82.5) -- (287.75,117.75) -- (253.25,117.75) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (233.5,102) -- (268,102) -- (268,116.75) -- (233.5,116.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (83.5,212.5) -- (156.75,212.5) -- (156.75,227.75) -- (83.5,227.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (213.5,212.5) -- (286.75,212.5) -- (286.75,227.75) -- (213.5,227.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (156.75,216.5) -- (213.5,216.5) ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (83.25,213.5) -- (117.75,213.5) -- (117.75,248.75) -- (83.25,248.75) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ] (213.25,213.5) -- (247.75,213.5) -- (247.75,248.75) -- (213.25,248.75) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }  ,draw opacity=1 ]   (117.75,238.5) -- (212.75,238.5) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (73.5,246.5) -- (96.49,246.5) -- (96.49,214.78) -- (72.24,214.78) -- (72.24,182.34) -- (165.48,182.34) -- (165.48,213.58) -- (143.77,213.58) -- (143.77,246.5) -- (226.25,246.5) -- (226.25,213.99) -- (203.2,213.99) -- (203.2,182.69) -- (294.68,182.69) -- (294.68,213.32) -- (273.25,213.32) -- (273.25,246.6) -- (296.58,246.6) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }  ,draw opacity=1 ] (123.29,232) -- (137.25,232) -- (137.25,267.5) -- (123.29,267.5) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }  ,draw opacity=1 ]   (255,183.5) -- (255,207.26) -- (286.17,207.26) -- (286.17,185.26) -- (298.35,185.08) -- (298.97,273.62) -- (287.13,273.62) -- (287.13,253.28) -- (253.58,253.62) -- (253.58,275.06) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }  ,draw opacity=1 ] (268.02,252.77) -- (268.02,266.73) -- (232.52,266.73) -- (232.52,252.77) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }  ,draw opacity=1 ] (118.02,122.77) -- (118.02,136.73) -- (82.52,136.73) -- (82.52,122.77) -- cycle ;

%(X₀ V X₂ V X₃ V X₄) & (X₀ V X₁ V X₂ V X₃) & (X₀ V X₁ V X₃ V X₅) & (X₀ V X₃ V X₄ V X₅) & (X₀ V ̅X₂ V ̅X₃ V ̅X₄ V ̅X₅) & (X₀ V ̅X₁ V ̅X₃ V ̅X₄) & (X₀ V ̅X₁ V ̅X₂ V ̅X₃ V ̅X₅) & (̅X₀ V X₂ V ̅X₃) & (̅X₀ V ̅X₃ V X₄) & (̅X₀ V ̅X₃ V X₅) & (̅X₀ V X₁ V ̅X₂ V ̅X₄ V ̅X₅) & (̅X₀ V ̅X₁ V X₃ V ̅X₄) & (̅X₀ V ̅X₁ V ̅X₂ V X₃ V ̅X₅) & (X₀ V X₁ V ̅X₂ V X₃ V X₄)
